Bug 127415 - lsusb not showing the devices connected
lsusb not showing the devices connected
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: 131118 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-07-07 17:12 EDT by Paul F. Johnson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 05:23:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2004-07-07 17:12:49 EDT
Description of problem:
As either su or normal user, issuing /sbin/lsusb fails to show the
devices connected to the USB ports

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Ensure there is something connected to the USB port
2. Open a terminal window
3. As either su or normal user, type /sbin/lsusb
Actual results:
lsusb gives the following error
Unknown line in line 4969. This repeats upto 5004

Expected results:
All recognised devices on the usb lines should be displayed

Additional info:
I am running rawhide FC 2
cat /proc/bus/usb/devices gives nothing (there doesn't seem to be a
file in /proc/bus/usb called devices)
Comment 1 Tom London 2004-07-20 15:44:58 EDT
lsusb is complaining about the 'HCC' entries in /usr/share/hwdata/usb.ids

Deleting or commenting out those lines makes the
error go away.....
Comment 2 Bill Nottingham 2004-08-27 14:33:43 EDT
*** Bug 131118 has been marked as a duplicate of this bug. ***
Comment 3 Paul F. Johnson 2004-08-31 19:58:30 EDT
Yep - seems to have fixed the problem in FC3t1
Comment 4 Thomas Woerner 2004-09-01 05:23:56 EDT
Fixed the errors in rawhide in rpm usbutils-0.11-6 or newer.

Note You need to log in before you can comment on or make changes to this bug.